Subject: [bug#36021] [PATCH] search-paths: 'environment-variable-definition' output for fish

From: Dan Frumin <[email-masked]>
Date: Fri, 31 May 2019 12:41:10 +0200

Hi Guix!

Some background on this patch:
Right now whenever I do any Guix operation that requires me to modify environment variables (e.g. installing a Guile library requires me to update 
$GUILE_LOAD_PATH afterwards), Guix helpful tells me what commands I have to run to update the variables.

However, those commands are currently in bash/POSIX(?) format `export VAR=VALUE`. I've modified the `environment-variable-definition` function to 
support the syntax for Fish shell as well. I don't know if this method of looking at the $SHELL variable is sound, but it works  on my machine.

Documentation for the `set' function in Fish: https://fishshell.com/docs/current/commands.html#set

PS: this is my first non-package patch for Guix so I apologize if there is something wrong with the patch

Best regards,
-Dan